package com.fastbee.waterele.service;

import java.util.List;
import com.fastbee.waterele.domain.MaRechargerecord;
import com.fastbee.waterele.domain.vo.UnchargeAmountVo;

/**
 * 充值记录Service接口
 * 
 * @author kerwincui
 * @date 2024-08-12
 */
public interface IMaRechargerecordService 
{
    /**
     * 查询充值记录
     * 
     * @param id 充值记录主键
     * @return 充值记录
     */
    public MaRechargerecord selectMaRechargerecordById(Long id);

    /**
     * 查询充值记录列表
     * 
     * @param maRechargerecord 充值记录
     * @return 充值记录集合
     */
    public List<MaRechargerecord> selectMaRechargerecordList(MaRechargerecord maRechargerecord);

    /**
     * 新增充值记录
     * 
     * @param maRechargerecord 充值记录
     * @return 结果
     */
    public int insertMaRechargerecord(MaRechargerecord maRechargerecord);

    /**
     * 修改充值记录
     * 
     * @param maRechargerecord 充值记录
     * @return 结果
     */
    public int updateMaRechargerecord(MaRechargerecord maRechargerecord);

    /**
     * 批量删除充值记录
     * 
     * @param ids 需要删除的充值记录主键集合
     * @return 结果
     */
    public int deleteMaRechargerecordByIds(Long[] ids);

    /**
     * 删除充值记录信息
     * 
     * @param id 充值记录主键
     * @return 结果
     */
    public int deleteMaRechargerecordById(Long id);

    /**
     * 获取未充值的总金额
     * @param maRechargerecord
     * @return
     */
    UnchargeAmountVo queryUnchargeAmount(MaRechargerecord maRechargerecord);

    /**
     * 充值成功反馈
     * @param maRechargerecord
     * @return
     */
    String rechargeReply(MaRechargerecord maRechargerecord);
}
